org.apache.hadoop.registry.client.impl.zk

## Class RegistrySecurity.JaasConfiguration

- java.lang.Object
- - javax.security.auth.login.Configuration
  - - org.apache.hadoop.registry.client.impl.zk.RegistrySecurity.JaasConfiguration

- Enclosing class:
    RegistrySecurity

      @InterfaceAudience.Private
      public static class RegistrySecurity.JaasConfiguration
      extends Configuration

  Creates a programmatic version of a jaas.conf file. This can be used instead of writing a jaas.conf file and setting the system property, "java.security.auth.login.config", to point to that file. It is meant to be used for connecting to ZooKeeper.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.security.auth.login.Configuration

      `Configuration.Parameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaasConfiguration(String entryName, String principal, String keytab)` Add an entry to the jaas configuration with the passed in name, principal, and keytab.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppConfigurationEntry[]` | `getAppConfigurationEntry(String name)`

    - ### Methods inherited from class javax.security.auth.login.Configuration

      `getConfiguration, getInstance, getInstance, getInstance, getParameters, getProvider, getType, refresh, setConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaasConfiguration

          public JaasConfiguration(String entryName,
                                   String principal,
                                   String keytab)

      Add an entry to the jaas configuration with the passed in name, principal, and keytab. The other necessary options will be set for you.
      Parameters:
        `entryName` - The name of the entry (e.g. "Client")
        `principal` - The principal of the user
        `keytab` - The location of the keytab

  - ### Method Detail

    - #### getAppConfigurationEntry

          public AppConfigurationEntry[] getAppConfigurationEntry(String name)

      Specified by:
        `getAppConfigurationEntry` in class `Configuration`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.